<?php

namespace Database\Seeders;

use Illuminate\Support\Str;
use App\Models\api\v1\Gender;
use Illuminate\Database\Seeder;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;

class GenderSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        if(Gender::count() == 0)
        {
            Gender::create([
                "name" => "Homme",
                "uuid"=> Str::uuid()->toString(),
                "is_active" => 1
            ]);
    
            Gender::create([
                "name" => "Femme",
                "uuid"=> Str::uuid()->toString(),
                "is_active" => 1
            ]);
        }
    }
}
